GET /api/agent_builder/skills

Spaces method and path for this operation:

get /s/{space_id}/api/agent_builder/skills

Refer to Spaces for more information.

List all available skills (built-in and user-created). To learn more about Agent Builder skills, refer to the skills documentation.

[Required authorization] Route required privileges: agentBuilder:read.

Query parameters

  • include_plugins boolean

    Set to true to include skills from plugins.

    Default value is false.

Responses

  • 200 application/json

    Indicates a successful response

GET /api/agent_builder/skills
curl \
  -X GET "https://${KIBANA_URL}/api/agent_builder/skills" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn:/api/agent_builder/skills
Response examples (200)
Example response returning a list of skills
{
  "results": [
    {
      "description": "A built-in skill provided by the platform.",
      "experimental": false,
      "id": "built-in-skill-id",
      "name": "Built-in Skill",
      "readonly": true,
      "referenced_content_count": 0
    },
    {
      "description": "A user-created skill for data analysis.",
      "experimental": false,
      "id": "custom-skill-id",
      "name": "Custom Skill",
      "readonly": false,
      "referenced_content_count": 1,
      "tool_ids": [
        "platform.core.search"
      ]
    }
  ]
}